import React from "react";

//Íconos de Ant Design
import {
  HomeOutlined,
  UserOutlined,
  LogoutOutlined,
  SettingOutlined,
  FolderOpenOutlined,
  ControlOutlined,
  DatabaseOutlined,
  LockOutlined,
  UsergroupAddOutlined,
  ApartmentOutlined,
  UnorderedListOutlined 
} from "@ant-design/icons";
//Íconos de Ant Design

//Íconos React Icons
//Íconos React Icons

import { /* NoEncontrado,  */NoAutorizado } from "../views/error";
import { Inicio } from '../views/inicio'
import { Usuarios, UsuarioDetalle } from "../views/admin/usuarios";

/* CATÁLOGOS */
import { Productos, ProductoDetalle } from "../views/catalogos/productos";
import { Estados, EstadoDetalle } from "../views/catalogos/estados";
import { Municipios, MunicipioDetalle } from "../views/catalogos/municipios";
import { TipoMovilizaciones, TipoMovilizacionDetalle } from "../views/catalogos/tipoMovilizaciones";
import { FinMovilizaciones, FinMovilizacionDetalle } from "../views/catalogos/finMovilizaciones";
import { Condicionantes, CondicionanteDetalle } from "../views/condicionantes";
/* CATÁLOGOS */
import { Perfil } from "../views/perfil";
import { Modulos } from "../views/admin/permisos/modulos";
import { Permisos } from "../views/admin/permisos/permisos";
import { Perfiles, PerfilDetalle } from "../views/admin/permisos/perfiles";

/* IMPORTACIONES SISTAI */

const singOutRoute = () => {
  return "Cargando...";
};

const sharedRoutes = [
  {
    path: "/no-autorizado",
    element: NoAutorizado,
  },
  {
    path: "/salir",
    icon: LogoutOutlined,
    element: singOutRoute,
  },
  {
    path: "*",
    element: Inicio,
  },
];

const dashboardRoutes = [
  {
    layout: "dashboard",
    path: "/",
    name: "Inicio",
    icon: <HomeOutlined />,
    sidebar: "single",
    ver: "MENU-INICIO",
    element: Inicio,
  },
  {
    layout: "dashboard",
    path: "/perfil",
    name: "Perfil",
    icon: <UserOutlined />,
    sidebar: "none",
    element: Perfil,
  },
  {
    layout: "dashboard",
    path: "/administracion",
    name: "Administración",
    icon: <SettingOutlined />,
    sidebar: "collapse",
    ver: "MENU-ADMIN",
    routes: [
      {
        layout: "dashboard",
        path: "/usuarios",
        name: "Usuarios",
        icon: <UserOutlined />,
        sidebar: "single",
        ver: "MENU-ADMIN",
        routes: [
          {
            path: "/",
            element: Usuarios,
          },
          {
            path: "/agregar",
            element: UsuarioDetalle,
          },
          {
            path: "/editar",
            element: UsuarioDetalle,
          },
        ],
      },
      {
        layout: "dashboard",
        path: "/permisos",
        name: "Permisos",
        icon: <ControlOutlined />,
        sidebar: "collapse",
        ver: "MENU-ADMIN",
        routes: [
          {
            layout: "dashboard",
            path: "/modulos",
            name: "Módulos",
            icon: <DatabaseOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: Modulos,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/permisos",
            name: "Permisos",
            icon: <LockOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: Permisos,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/perfiles",
            name: "Perfiles",
            icon: <UsergroupAddOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                name: "Perfiles",
                element: Perfiles,
              },
              {
                path: "/agregar",
                name: "Agregar un Perfil",
                element: PerfilDetalle,
              },
              {
                path: "/editar",
                name: "Editar un Perfil",
                element: PerfilDetalle,
              },
            ],
          },
        ],
      },
      {
        layout: "dashboard",
        path: "/catalogos",
        name: "Catálogos",
        icon: <FolderOpenOutlined />,
        sidebar: "collapse",
        ver: "MENU-ADMIN",
        routes: [
          {
            layout: "dashboard",
            path: "/productos",
            name: "Productos",
            icon: <ApartmentOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: Productos,
              },
              {
                path: "/agregar",
                element: ProductoDetalle,
              },
              {
                path: "/editar",
                element: ProductoDetalle,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/estados",
            name: "Estados",
            icon: <ApartmentOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: Estados,
              },
              {
                path: "/agregar",
                element: EstadoDetalle,
              },
              {
                path: "/editar",
                element: EstadoDetalle,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/municipios",
            name: "Municipios",
            icon: <ApartmentOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: Municipios,
              },
              {
                path: "/agregar",
                element: MunicipioDetalle,
              },
              {
                path: "/editar",
                element: MunicipioDetalle,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/tipoMovilizaciones",
            name: "Tipos de Movilización",
            icon: <ApartmentOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: TipoMovilizaciones,
              },
              {
                path: "/agregar",
                element: TipoMovilizacionDetalle,
              },
              {
                path: "/editar",
                element: TipoMovilizacionDetalle,
              },
            ],
          },
          {
            layout: "dashboard",
            path: "/finMovilizaciones",
            name: "Fines de Movilización",
            icon: <ApartmentOutlined />,
            sidebar: "single",
            ver: "MENU-ADMIN",
            routes: [
              {
                path: "/",
                element: FinMovilizaciones,
              },
              {
                path: "/agregar",
                element: FinMovilizacionDetalle,
              },
              {
                path: "/editar",
                element: FinMovilizacionDetalle,
              },
            ],
          },
        ],
      },
    ],
  },
  {
    layout: "dashboard",
    path: "/condicionantes",
    name: "Condicionantes",
    icon: <UnorderedListOutlined />,
    sidebar: "single",
    ver: "MENU-CODICIONANTES",
    routes: [
      {
        path: "/",
        element: Condicionantes,
      },
      {
        path: "/agregar",
        element: CondicionanteDetalle,
      },
      {
        path: "/editar",
        element: CondicionanteDetalle,
      },
    ],
  },
  ...sharedRoutes,
];

const publicRoutes = [...sharedRoutes];

export { dashboardRoutes, publicRoutes };
