import { Form, Input, Button, Row, Col } from 'antd'
import PropTypes from 'prop-types'

// const selectores = {
//   consejoElectoral: {
//     name: "v1/consejo-electoral",
//   },
// }

const Formulario = ({
  form,
  onFinish,
}) => {
  return (
    <Form
      layout="vertical"
      name="basic"
      form={form}
      initialValues={{ remember: true }}
      onFinish={onFinish}
      onFinishFailed={() => { }}
    >
      <Row gutter={16}>
        <Col span={6}>


          <Form.Item
            label="Búsqueda"
            name="q"
          >
            <Input />
          </Form.Item>
        </Col>
        <Col span={6}>
          <Form.Item>
            <Button
              type="primary"
              htmlType="submit"
              style={{ marginTop: "30px" }}
            >
              Buscar
            </Button>
          </Form.Item>
        </Col>
      </Row>  
    </Form>
  )
}

export default Formulario

Formulario.propTypes = {
  form: PropTypes.object.isRequired,
  onFinish: PropTypes.func.isRequired,
}